r15394 - gnucash/trunk/packaging/win32 - Add more prerequisites for including online banking; still disabled, though.

Christian Stimming cstim at cvs.gnucash.org
Wed Jan 17 09:33:57 EST 2007


Author: cstim
Date: 2007-01-17 09:33:56 -0500 (Wed, 17 Jan 2007)
New Revision: 15394
Trac: http://svn.gnucash.org/trac/changeset/15394

Modified:
   gnucash/trunk/packaging/win32/dist.sh
   gnucash/trunk/packaging/win32/install.sh
Log:
Add more prerequisites for including online banking; still disabled, though.

Modified: gnucash/trunk/packaging/win32/dist.sh
===================================================================
--- gnucash/trunk/packaging/win32/dist.sh	2007-01-16 20:48:24 UTC (rev 15393)
+++ gnucash/trunk/packaging/win32/dist.sh	2007-01-17 14:33:56 UTC (rev 15394)
@@ -29,6 +29,8 @@
     _GNOME_UDIR=`unix_path $GNOME_DIR`
     _LIBGSF_UDIR=`unix_path $LIBGSF_DIR`
     _GOFFICE_UDIR=`unix_path $GOFFICE_DIR`
+    _GWENHYWFAR_UDIR=`unix_path $GWENHYWFAR_DIR`
+    _AQBANKING_UDIR=`unix_path $AQBANKING_DIR`
     _GNUCASH_UDIR=`unix_path $GNUCASH_DIR`
     _BUILD_UDIR=`unix_path $BUILD_DIR`
     _INSTALL_UDIR=`unix_path $INSTALL_DIR`
@@ -127,6 +129,23 @@
     cp -a $_GOFFICE_UDIR/share/{goffice,pixmaps} $DIST_UDIR/share
 }
 
+function dist_gwenhywfar() {
+    setup gwenhywfar
+    cp -a ${_GWENHYWFAR_UDIR}/bin/*.dll ${DIST_UDIR}/bin
+    mkdir -p ${DIST_UDIR}/etc
+    cp -a ${_GWENHYWFAR_UDIR}/etc/* ${DIST_UDIR}/etc
+    cp -a ${_GWENHYWFAR_UDIR}/lib/gwenhywfar ${DIST_UDIR}/lib
+}
+
+function dist_aqbanking() {
+    setup aqbanking
+    cp -a ${_AQBANKING_UDIR}/bin/*.exe ${DIST_UDIR}/bin
+    cp -a ${_AQBANKING_UDIR}/bin/*.dll ${DIST_UDIR}/bin
+    cp -a ${_AQBANKING_UDIR}/lib/aqbanking ${DIST_UDIR}/lib
+    cp -a ${_AQBANKING_UDIR}/share/aqbanking ${DIST_UDIR}/share
+    cp -a ${_AQBANKING_UDIR}/share/aqhbci ${DIST_UDIR}/share
+}
+
 function dist_gnucash() {
     setup GnuCash
     mkdir -p $DIST_UDIR/bin
@@ -182,6 +201,8 @@
 dist_gnome
 dist_libgsf
 dist_goffice
+#dist_gwenhywfar
+#dist_aqbanking
 dist_gnucash
 finish
 qpopd

Modified: gnucash/trunk/packaging/win32/install.sh
===================================================================
--- gnucash/trunk/packaging/win32/install.sh	2007-01-16 20:48:24 UTC (rev 15393)
+++ gnucash/trunk/packaging/win32/install.sh	2007-01-17 14:33:56 UTC (rev 15394)
@@ -625,10 +625,15 @@
 	echo "Gwenhywfar already installed. Skipping."
     else
 	wget_unpacked $GWENHYWFAR_URL $DOWNLOAD_DIR $TMP_DIR
+	# Compiling gwenhywfar needs the openssl DLLs somewhere
+	# outside of WINDOWS_DIR:
+	_WIN_UDIR=`unix_path ${WINDIR}`
+	cp ${_WIN_UDIR}/system32/libssl32.dll ${_WIN_UDIR}/system32/libeay32.dll  ${_OPENSSL_UDIR}/lib || die "OpenSSL is not installed correctly."
 	qpushd $TMP_UDIR/gwenhywfar-*
 	    ./configure \
 		--with-openssl-includes=$_OPENSSL_UDIR/include \
-		--with-openssl-libs=$_OPENSSL_UDIR/lib \
+		ssl_libraries="-L${_OPENSSL_UDIR}/lib" \
+		ssl_lib="-leay32 -lssl32" \
 	        --prefix=$_GWENHYWFAR_UDIR \
 		LDFLAGS="${REGEX_LDFLAGS}"
 	    make



More information about the gnucash-changes mailing list